org.apache.hc.client5.http.async.methods

## Class AbstractCharPushConsumer

- java.lang.Object
- - org.apache.hc.core5.http.nio.entity.AbstractCharDataConsumer
  - - org.apache.hc.client5.http.async.methods.AbstractCharPushConsumer

All Implemented Interfaces:
  org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncPushConsumer, org.apache.hc.core5.http.nio.ResourceHolder

    public abstract class AbstractCharPushConsumer
    extends org.apache.hc.core5.http.nio.entity.AbstractCharDataConsumer
    implements org.apache.hc.core5.http.nio.AsyncPushConsumer

Abstract push response consumer that processes response body data as a character stream.

Since:
  5.0

### Field Summary

### Fields inherited from class org.apache.hc.core5.http.nio.entity.AbstractCharDataConsumer

`DEF_BUF_SIZE`

### Constructor Summary

Constructors
`` `AbstractCharPushConsumer()`
`protected` `AbstractCharPushConsumer(int bufSize, org.apache.hc.core5.http.config.CharCodingConfig charCodingConfig)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `consumePromise(org.apache.hc.core5.http.HttpRequest promise, org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.EntityDetails entityDetails, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `failed(Exception cause)`
`protected abstract void` `start(org.apache.hc.core5.http.HttpRequest promise, org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.ContentType contentType)` Triggered to signal the beginning of data processing.

### Methods inherited from class org.apache.hc.core5.http.nio.entity.AbstractCharDataConsumer

`capacityIncrement, completed, consume, data, setCharset, streamEnd, updateCapacity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.nio.AsyncDataConsumer

`consume, streamEnd, updateCapacity`

### Methods inherited from interface org.apache.hc.core5.http.nio.ResourceHolder

`releaseResources`

### Constructor Detail

#### AbstractCharPushConsumer

    public AbstractCharPushConsumer()

#### AbstractCharPushConsumer

    protected AbstractCharPushConsumer(int bufSize,
                                       org.apache.hc.core5.http.config.CharCodingConfig charCodingConfig)

### Method Detail

#### start

    protected abstract void start(org.apache.hc.core5.http.HttpRequest promise,
                                  org.apache.hc.core5.http.HttpResponse response,
                                  org.apache.hc.core5.http.ContentType contentType)
                           throws org.apache.hc.core5.http.HttpException,
                                  IOException

Triggered to signal the beginning of data processing.

Parameters:
  `response` - the response message head
  `contentType` - the content type of the response body, or `null` if the response does not enclose a response entity.
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`

#### consumePromise

    public final void consumePromise(org.apache.hc.core5.http.HttpRequest promise,
                                     org.apache.hc.core5.http.HttpResponse response,
                                     org.apache.hc.core5.http.EntityDetails entityDetails,
                                     org.apache.hc.core5.http.protocol.HttpContext context)
                              throws org.apache.hc.core5.http.HttpException,
                                     IOException

Specified by:
  `consumePromise` in interface `org.apache.hc.core5.http.nio.AsyncPushConsumer`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`

#### failed

    public void failed(Exception cause)

Specified by:
  `failed` in interface `org.apache.hc.core5.http.nio.AsyncPushConsumer`